require "states/level1/entities/player"
require "states/level1/camera"
require "states/level1/AnAL"

pic = love.graphics.newImage('textures/background.jpg')

function love.load()

	love.graphics.setBackgroundColor(255, 255, 255)

	groundlevel = 920
	rooflevel = 0
	gravity = 1000

	--LoadingClasses
	player.load()

end

function love.update(dt)
	love.graphics.setBackgroundColor(255, 255, 255)

	UPDATE_PLAYER(dt)

	if player.x > love.graphics.getWidth() / 2 then
		camera.x = player.x - love.graphics.getWidth() / 2
	end
	--if player.y > love.graphics.getWidth() / 2 then
		--camera.y = player.y - love.graphics.getWidth() / 2
	--end
end

function love.draw()
	camera:set()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(pic, 0, 0)
	love.graphics.draw(pic, 1920, 0)
	
	DRAW_PLAYER()

	camera:unset()
end

function love.keypressed(key, unicode)
	if key == "escape" then
		love.event.quit()
	end
end

function love.focus(bool)

end